package com.plannaplan;

import com.plannaplan.entities.User;
import com.plannaplan.services.UserService;
import com.plannaplan.types.UserRoles;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.event.ApplicationReadyEvent;
import org.springframework.context.event.EventListener;

@SpringBootApplication
public class App {

        public final static String API_VERSION = "v1";

        @Autowired
        UserService userService;

        public static void main(String[] args) {
                Logo logo = new Logo("beta");
                System.out.println(logo.getLogo());
                System.out.println(
                                "|=============================================================================================|");
                SpringApplication.run(App.class, args);
        }

        @EventListener(ApplicationReadyEvent.class)
        public void importData() {
                User filip = new User();
                filip.setEmail("filizy@st.amu.edu.pl");
                filip.setName("Filip");
                filip.setSurname("Izydorczyk");
                filip.setRole(UserRoles.STUDENT);
                this.userService.save(filip);

                User hub = new User();
                hub.setEmail("hubwrz1@st.amu.edu.pl");
                hub.setName("Hubert");
                hub.setSurname("Wrzesiński");
                hub.setRole(UserRoles.STUDENT);
                this.userService.save(hub);

                User mac = new User();
                mac.setEmail("macglo2@st.amu.edu.pl");
                mac.setName("Maciej");
                mac.setSurname("Głowacki");
                mac.setRole(UserRoles.STUDENT);
                this.userService.save(mac);

                User mar = new User();
                mar.setEmail("marwoz16@st.amu.edu.pl");
                mar.setName("Marcin");
                mar.setSurname("Woźniak");
                mar.setRole(UserRoles.STUDENT);
                this.userService.save(mar);

        }
}
